<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Line - Chart.js</title>
    <script src="../static/Chart.css"></script>
    <script src="../static/Chart.js"></script>
    <style>
    </style>
</head>
<body>
<h1>Line - Chart.js</h1>
<p>Profit trend</p>
<div class="chart-container" style="position: relative; height:40vh; width:80vw">
    <canvas id="myChart"></canvas>
</div>

<script>

    const profitIn2018 = [
        {
            month: 'January',
            profit: 78000
        },
        {
            month: 'February',
            profit: 88000
        },
        {
            month: 'March',
            profit: 128000
        },
        {
            month: 'April',
            profit: 133000
        },
        {
            month: 'May',
            profit: 13200
        },
        {
            month: 'June',
            profit: 68000
        },
        {
            month: 'July',
            profit: 72000
        },
        {
            month: 'August',
            profit: 71000
        },
        {
            month: 'September',
            profit: 228000
        },
        {
            month: 'October',
            profit: 71000
        },
        {
            month: 'November',
            profit: 77000
        },
        {
            month: 'December',
            profit: 333000
        }
    ];

    const data = profitIn2018.map(i => i.profit);
    const labels = profitIn2018.map(i => i.month);


    // TODO: Below is the sample of Bar chart, change it to show profit of each team
    const ctx = document.getElementById('myChart').getContext('2d');
    const myChart = new Chart(ctx, {
        type: 'line',
        data: {
            labels: ['Red', 'Blue', 'Yellow', 'Green', 'Purple', 'Orange'],
            datasets: [{
                label: 'CNY',
                data: [12, 19, 3, 5, 2, 3],
                backgroundColor: [
                    'rgba(75, 192, 192, 0.2)',
                ],
                borderColor: [
                    'rgba(75, 192, 192, 1)',
                ],
                fill: false,
                borderWidth: 1
            }]
        },
        options: {
            scales: {
                yAxes: [{
                    ticks: {
                        beginAtZero: true
                    }
                }]
            }
        }
    });
</script>
</body>
</html>